voms (2.1.3-1) unstable; urgency=medium

  * Update to upstream version 2.1.3
  * Move user/group creation logic to sysusers.d fragment

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 21 Dec 2025 07:17:02 +0100

voms (2.1.2-1) unstable; urgency=medium

  * Update to upstream version 2.1.2
  * Drop patch accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 28 Mar 2025 05:41:00 +0100

voms (2.1.0-2) unstable; urgency=medium

  * Fix compilation with GCC 15 (Closes: #1098071)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 22 Feb 2025 14:00:25 +0100

voms (2.1.0-1) unstable; urgency=medium

  * Update to upstream version 2.1.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 05 Jul 2024 14:43:15 +0200

voms (2.1.0~rc5-1) unstable; urgency=medium

  * Update to upstream version 2.1.0-rc5
  * Move systemd unit file to /usr/lib/systemd/system (Closes: #1073714)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 18 Jun 2024 17:42:12 +0200

voms (2.1.0~rc4-1) unstable; urgency=medium

  * Update to upstream version 2.1.0-rc4
  * Drop patches accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 03 May 2024 18:29:09 +0200

voms (2.1.0~rc3-7) unstable; urgency=medium

  * Fix problem with newer gsoap versions

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 10 Apr 2024 19:07:51 +0200

voms (2.1.0~rc3-6) unstable; urgency=medium

  * Correct expected package name in lintian override

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 10 Mar 2024 08:53:11 +0100

voms (2.1.0~rc3-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063054

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 23:23:56 +0000

voms (2.1.0~rc3-5) unstable; urgency=medium

  * More patches from upstream
  * Fix spelling errors reported by lintian

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 15 Sep 2023 05:42:14 +0200

voms (2.1.0~rc3-4) unstable; urgency=medium

  * Move systemd unit file to /lib/systemd/system

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 16 Feb 2023 07:05:15 +0100

voms (2.1.0~rc3-3) unstable; urgency=medium

  * Use upsteam's pthread fix

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 08 Jan 2023 22:34:42 +0100

voms (2.1.0~rc3-2) unstable; urgency=medium

  * Link libvomsapi against libpthread

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 04 Jan 2023 00:21:50 +0100

voms (2.1.0~rc3-1) unstable; urgency=medium

  * Update to upstream version 2.1.0-rc3
  * Drop patches accepted upstream
  * Add new patches (the PRs have been accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 02 Jan 2023 15:13:02 +0100

voms (2.1.0~rc2-2) unstable; urgency=medium

  * Fix compilation with OpenSSL 3.0 (Closes: #1001355)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 02 Jan 2022 08:21:28 +0100

voms (2.1.0~rc2-1) unstable; urgency=medium

  * Update to upstream version 2.1.0-rc2
  * Drop patches accepted upstream: voms-gssapi-header.patch,
    voms-nid-defined.patch and voms-wsdl2h.patch
  * Drop old symlink-to-dir conversion from 2014
  * Change to debhelper compat level 13
  * Remove override_dh_missing rule (--fail-missing is default)
  * Remove override_dh_strip rule (completed debug symbol migration)
  * Update Homepage tag in debian/control
  * Install systemd unit file
  * Update the voms-server package's README.Debian with systemd information

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 24 Aug 2021 19:29:24 +0200

voms (2.1.0~rc0-6) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 10
  * Add Build-Depends on libgsoap-dev due to gsoap packaging change
  * Use .maintscript file for dpkg-maintscript-helper

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 24 Jul 2019 19:50:20 +0200

voms (2.1.0~rc0-5) unstable; urgency=medium

  * Change default proxy cert key length to 2048 bits

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 31 Oct 2018 18:31:15 +0100

voms (2.1.0~rc0-4) unstable; urgency=medium

  * Fix wsdl2h version detection
  * Use update-rc.d defaults-disabled in maintainer scripts
  * Implement Multi-Arch support
  * Migrate to dbgsym packages
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Feb 2018 03:02:16 +0100

voms (2.1.0~rc0-3) unstable; urgency=medium

  * Update the "check if NID is defined" patch
  * Improve compatibility with the kerberos gssapi header file

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 04 Jul 2017 20:15:20 +0200

voms (2.1.0~rc0-2) unstable; urgency=medium

  * Fix a few remaining OpenSSL 1.1 issues (Closes: #854211)
  * Fix a GCC 7 compiler error (Closes: #853701)
  * Create RFC proxies as default

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 03 Feb 2017 11:33:34 +0100

voms (2.1.0~rc0-1) unstable; urgency=medium

  * Update to upstream version 2.1.0-rc0 (Port to OpenSSL 1.1)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 25 Jan 2017 21:21:38 +0100

voms (2.0.14-2) unstable; urgency=medium

  * Francesco Giacomini's port to OpenSSL 1.1 (Closes: #828595, #844877)
    - Not yet fully functional, but compiles

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Dec 2016 11:00:52 +0100

voms (2.0.14-1) unstable; urgency=medium

  * Update to upstream version 2.0.14
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 11 Sep 2016 13:29:37 +0200

voms (2.0.13-1) unstable; urgency=medium

  * Update to upstream version 2.0.13
  * Drop patches: voms-nossl3.patch, voms-tls1.patch, voms-gcc6.patch,
    voms-paren.patch, voms-comment-in-comment.patch and voms-doxygen.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 19 Apr 2016 14:59:11 +0200

voms (2.0.12-4) unstable; urgency=medium

  * Fix compilation with gcc 6 (Closes: #811879)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 20 Jan 2016 16:11:49 +0100

voms (2.0.12-3) unstable; urgency=medium

  * Don't call SSLv3_method - removed from libssl

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 09 Nov 2015 15:16:41 +0100

voms (2.0.12-2) unstable; urgency=medium

  * Rename libvomsapi1 to libvomsapi1v5 for GCC 5 abi change - based on
    patch from Ubuntu (Closes: #791327)
  * Add Replaces/Breaks for the old library name

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 13 Aug 2015 11:07:23 +0200

voms (2.0.12-1) unstable; urgency=medium

  * Update to upstream version 2.0.12
  * Enable hardening flags
  * Drop patches voms-gsoap.patch, voms-sha2-proxy.patch and voms-strndup.patch
    (accepted upstream)
  * Add alternatives to the client package to allow parallel installation of
    the java implementation of the client tools

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 19 Nov 2014 16:49:05 +0100

voms (2.0.11-5) unstable; urgency=medium

  * Add Pre-Depends for dpkg-maintscript-helper

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 09 Nov 2014 02:52:53 +0100

voms (2.0.11-4) unstable; urgency=medium

  * Properly handle symlink-to-dir conversion in doc package (Closes: #768276)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Nov 2014 07:19:30 +0100

voms (2.0.11-3) unstable; urgency=medium

  * Drop depends on voms-dev in voms-doc (Closes: #755570)
  * No longer replace doxygen's jquery.js
  * Update the gsoap patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 07 Aug 2014 05:08:18 +0200

voms (2.0.11-2) unstable; urgency=medium

  * Fix a stack smash when SHA2 certificates are used

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 27 Jun 2014 05:43:06 +0200

voms (2.0.11-1) unstable; urgency=low

  * Update to upstream version 2.0.11
  * Drop patches voms-install-db2.patch and voms-doc-race.patch (accepted
    upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 01 Dec 2013 20:05:27 +0100

voms (2.0.10-1) unstable; urgency=low

  * Update to upstream version 2.0.10

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 22 May 2013 12:08:15 +0200

voms (2.0.9-1) unstable; urgency=low

  * Update to upstream version 2.0.9

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 01 Dec 2012 11:12:08 +0100

voms (2.0.8-1) unstable; urgency=low

  * Update to upstream version 2.0.8 (EMI 2 version)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 27 May 2012 12:31:51 +0200

voms (2.0.7-2) unstable; urgency=low

  * Fix upgrade path (Closes: #673981)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 22 May 2012 19:56:38 +0200

voms (2.0.7-1) unstable; urgency=low

  * Update to upstream version 2.0.7
  * Split of Java API to separate source package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 19 May 2012 15:13:51 +0200

voms (2.0.6-3) unstable; urgency=low

  * Don't build java in parallel

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 15 Oct 2011 15:35:46 +0200

voms (2.0.6-2) unstable; urgency=low

  * Move vomses template to documentation directory

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Sep 2011 11:51:21 +0200

voms (2.0.6-1) unstable; urgency=low

  * Update to upstream version 2.0.6
  * Adapt manpage (Closes: #639130)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 31 Aug 2011 16:03:36 +0200

voms (1.9.19.2-2) unstable; urgency=low

  * Use new doxygen-latex build dependency (Closes: #616283)
  * Remove embedded jquery.js

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 06 May 2011 12:08:39 +0200

voms (1.9.19.2-1) unstable; urgency=low

  * Update to upstream version 1.9.19.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 01 Nov 2010 11:53:14 +0100

voms (1.9.18.1-4) unstable; urgency=low

  * Remove the empty /etc/vomses file - it will cause conflicts for users
    that have used the option to have /etc/vomses be a directory

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 15 Oct 2010 22:03:22 +0200

voms (1.9.18.1-3) unstable; urgency=low

  * Only do postinstall configuration during configure

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Oct 2010 09:02:57 +0200

voms (1.9.18.1-2) unstable; urgency=low

  * Let postinstall script respect local changes to voms user setting

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 05 Oct 2010 16:32:28 +0200

voms (1.9.18.1-1) unstable; urgency=low

  * Update to upstream version 1.9.18.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 04 Oct 2010 19:36:14 +0200

voms (1.9.17.1-1) unstable; urgency=low

  * Update to upstream version 1.9.17.1
  * Drop patches voms-db-method.patch and voms-thread.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 05 Jun 2010 20:58:16 +0200

voms (1.9.16.1-2) unstable; urgency=low

  * Add mutex lock for accessing private data

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 29 Mar 2010 10:15:09 +0200

voms (1.9.16.1-1) unstable; urgency=low

  * Update to upstream version 1.9.16.1
  * Fix uninitialized variable in voms-proxy-init
  * Add debug package
  * Add ahead-of-time native java package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 22 Mar 2010 12:50:14 +0100

voms (1.9.14.3-1) unstable; urgency=low

  * Update to upstream version 1.9.14.3
  * Add missing dependencies for stricter binutils (Closes: #556667)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 28 Dec 2009 22:04:23 +0100

voms (1.9.14.2-1) unstable; urgency=low

  * Update to upstream version 1.9.14.2
  * Fix some bashisms in shell scripts (Closes: #547763)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 20 Oct 2009 19:53:08 +0200

voms (1.9.12.1-1) unstable; urgency=low

  * Update to upstream version 1.9.12.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 18 Sep 2009 12:08:56 +0200

voms (1.9.11-3) unstable; urgency=low

  * Fix java compilation on hppa and kfreebsd
  * Fix doc-base identifiers
  * Fix unconditional use of PIPE_BUF for GNU hurd compilation

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 31 Aug 2009 22:48:51 +0200

voms (1.9.11-2) unstable; urgency=low

  * Adapt debian/rules to new doxygen version (Closes: #544026)
  * Add setup instructions to the server package
  * Run the server as non-root

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 26 Aug 2009 13:18:32 +0200

voms (1.9.11-1) unstable; urgency=low

  * Initial release (Closes: #515221)
  * Update to upstream version 1.9.11

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 17 Aug 2009 19:17:05 +0200

voms (1.9.8.1-2) UNRELEASED; urgency=low

  * Do proper package renaming

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 27 Jul 2009 13:45:18 +0200

voms (1.9.8.1-1) UNRELEASED; urgency=low

  * Update to upstream version 1.9.8.1
  * Make java package too

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 02 Jul 2009 18:16:22 +0200

voms (1.9.2-2) UNRELEASED; urgency=low

  * Updated Debian policy
  * Eliminated lintian warnings
    - deprecated source-version

 -- Steffen Moeller <moeller@debian.org>  Sun, 29 Mar 2009 23:27:01 +0200

voms (1.9.2-1) UNRELEASED; urgency=low

  * Update to upstream version 1.9.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 12 Feb 2009 14:01:30 +0100

voms (1.9.1-1) UNRELEASED; urgency=low

  * Update to upstream version 1.9.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri,  6 Feb 2009 14:08:40 +0100

voms (1.8.10-1) UNRELEASED; urgency=low

  * Update to upstream version 1.8.10

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Jan 2009 18:20:53 +0100

voms (1.7.24-1) UNRELEASED; urgency=low

  * Initial packaging

 -- Steffen Moeller <moeller@debian.org>  Fri, 20 Jun 2008 21:30:49 +0000
